tt_ptype_exists(library call)

NAME
tt_ptype_exists — indicate whether a ptype is already installed

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_status tt_ptype_exists(
const char *ptid);

DESCRIPTION

The tt_ptype_exists function returns an indication of whether a ptype is already installed.

The ptid argument is the character string specifying the ptype.

RETURN VALUE

Upon successful completion, the tt_ptype_exists function returns the status of the operation as one of the following Tt_status values:

TT_OK
    The operation completed successfully and the ptype is already installed.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_PTYPE
    The specified process type is not the name of an installed process type.

SEE ALSO

Tt/tt_c.h - Tttt_c(5).